Oh no! Where's the JavaScript?
Your Web browser does not have JavaScript enabled or does not support JavaScript. Please enable JavaScript on your Web browser to properly view this Web site, or upgrade to a Web browser that does support JavaScript.
Sign In
Not a member yet? Click here to register.
Tilly

Change from HTTP to HTTPS locks account registration !??

by Tilly, Last updated on 4 months ago in System Administration - 8
Admin - Settings - Main - Change from HTTP to HTTPS, locks account registration!?

With http web site setting under MAin seting and Admin has to verify new accounts registration works fine

With https web stie setting New User is registered in DB but will not show upp as new user at website after change from http to https under Main settings. Now https autoamatic change Website setting to e-mail verification On and sends e-mal to the new member with link what not work!?

I use PHP-Fusion 7.02.07

How works the http vs https funktion under Main settings and why affect this registration of new user accounts??
Use a .htaccess and force https at all times,
ie,
RewriteEngine On
RewriteCond %{HTTPS} !=on
RewriteRule ^(.*)$ https://%{HTTP_HOST}%{REQUEST_URI} [L,R=301]
Need help?, Having trouble?
• View our Documentation for Guides, Standards and Functions
• Name and Organize your content correctly in the corresponding Forums for best support results
• Attaching Log Files and Screenshots when reporting issues will help
• Please read and comply with the Code of Conduct

(¯`·._.·(¯`°·._.·°º*[ Project Manager ]*º°·._.·°´¯)·._.·´¯)
Thanks Falk I will try to put that strings in my .htaccess but how should a good working .htaccess look like?

My active .htaccess;

#-------------------------
# Added by (My provider)
# To use php5.3 comment this out
# #AddType application/x-httpd-php52 php52 php
#-------------------------

## Disable cache
<IfModule mod_rewrite.c>
RewriteEngine On
RewriteRule (.*) - [L,E=Cache-Control:no-cache]
</IfModule>

## Enable register_globals
php_flag register_globals on

## SPAM IP Block
order allow,deny
deny from IP
deny from IP

allow from all
Add these lines below your current RewriteEngine On
RewriteCond %{HTTPS} !=on
RewriteRule ^(.*)$ https://%{HTTP_HOST}%{REQUEST_URI} [L,R=301]
Need help?, Having trouble?
• View our Documentation for Guides, Standards and Functions
• Name and Organize your content correctly in the corresponding Forums for best support results
• Attaching Log Files and Screenshots when reporting issues will help
• Please read and comply with the Code of Conduct

(¯`·._.·(¯`°·._.·°º*[ Project Manager ]*º°·._.·°´¯)·._.·´¯)
Tilly has replied to this - 9 months ago
Hi Falk!

Got fatal error below with PHP server version 5.2 and have tried change to server version 7.0 with same results!

Below error at Line 295 in maincore.php problem with DB???


Fatal error: Uncaught Error: Call to undefined function mysql_connect() in /hsphere/local/home/tilly1082/rng-php.1082.se/maincore.php:295 Stack trace: #0 /hsphere/local/home/tilly1082/rng-php.1082.se/maincore.php(91): dbconnect('mydb16.surftown...', 'tilly10_tillyad...', 'DBTilly67', 'tilly10_rng2'wink #1 /hsphere/local/home/tilly1082/rng-php.1082.se/news.php(18): require_once('/hsphere/local/...'wink #2 {main} thrown in /hsphere/local/home/tilly1082/rng-php.1082.se/maincore.php on line 295
Fusion 7.02.07 wil not run on php 7 unless u use an update package for it
The world is full of kings and queens
Who blind your eyes and steal your dreams
It's heaven and hell
- Black Sabbath
Tilly has replied to this - 9 months ago
Have had same problem with php server version 5.xx
Will upgrade php-fusion 7.02.07 to 9 but can't do that before this error got fixed or I have to install a brand new ver 9 or something else that works
Are you sure mysql driver is enabled on php5.x? The errro message says not
The world is full of kings and queens
Who blind your eyes and steal your dreams
It's heaven and hell
- Black Sabbath
Tilly has replied to this - 9 months ago

douwe_yntema wrote:

@douwe_yntema - Are you sure mysql driver is enabled on php5.x? The errro message says not


I have no clue and how to follow up if mysql driver is enabled or not.
...mysql driver has to be enabled at my webhotell PHP server right?
Chan has replied to this - 6 months ago
Hi there,

PHP-Fusion 7 strictly needs PHP 5.5 (minimum) - 5.6.8 (maximum), anything else, it will generate and be faulty.
Please change the PHP version according to my advice and you'll be running it smoothly.
Lead Developer of PHP-Fusion
Developer Tweet: https://twitter.com/phpfusion_tweet
Tilly has replied to this - 6 months ago

Chan wrote:

@Chan - Hi there,

PHP-Fusion 7 strictly needs PHP 5.5 (minimum) - 5.6.8 (maximum), anything else, it will generate and be faulty.
Please change the PHP version according to my advice and you'll be running it smoothly.



Thanks Chan but I have made an new installation of PHP-Fusion 9.0 version instead but have some Error issues…
server.php
/infusions/forum/index.php
Line: 563

New Solved Ignored Delete
online_users_panel.php
/members.php
Line: 41

PHP ? (minimum) - ? (maximum) for PHP-Fusion 9.0. Think my server running PHP 7.11
Min is PHP 5.6.8 , and there should be no supposed maximum. I'm personally using PHP 7.2.11
Lead Developer of PHP-Fusion
Developer Tweet: https://twitter.com/phpfusion_tweet
You can view all discussion threads in this forum.
You can start a new discussion thread in this forum.
You cannot reply in this discussion thread.
You cannot start on a poll in this forum.
You cannot upload attachments in this forum.
You can download attachments in this forum.
Users who participated in discussion: Falk, Chan, Tilly, douwe_yntema